Package fr.gouv.vitam.common.model.administration

# Class OntologyModel

java.lang.Object
fr.gouv.vitam.common.model.administration.OntologyModel

public class OntologyModel extends Object
POJO java use for mapping @`Ontology`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CREATION_DATE`
  CreationDate Tag
  `static final String`
  `LAST_UPDATE`
  LastUpdate Tag
  `static final String`
  `TAG_APIFIELD`
  Seda field Tag
  `static final String`
  `TAG_COLLECTIONS`
  Collections Tag
  `static final String`
  `TAG_DESCRIPTION`
  Description Tag
  `static final String`
  `TAG_HASH_ID`
  Document id
  `static final String`
  `TAG_IDENTIFIER`
  Identifier Tag
  `static final String`
  `TAG_ORIGIN`
  Origin Tag
  `static final String`
  `TAG_SEDAFIELD`
  Seda field Tag
  `static final String`
  `TAG_SHORT_NAME`
  ShortName Tag
  `static final String`
  `TAG_STRING_SIZE`
  StringSize Tag
  `static final String`
  `TAG_TYPE`
  Type Tag
  `static final String`
  `TAG_TYPE_DETAIL`
  TypeDetail Tag

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OntologyModel()`
  Constructor without fields use for jackson

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApiField()`
  `List<String>`
  `getCollections()`
  `String`
  `getCreationdate()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `String`
  `getIdentifier()`
  `String`
  `getLastupdate()`
  `OntologyOrigin`
  `getOrigin()`
  `String`
  `getSedaField()`
  `String`
  `getShortName()`
  `StringSize`
  `getStringSize()`
  `Integer`
  `getTenant()`
  `OntologyType`
  `getType()`
  `TypeDetail`
  `getTypeDetail()`
  `Integer`
  `getVersion()`
  `OntologyModel`
  `setApiField(String apiField)`
  `OntologyModel`
  `setCollections(List<String> collections)`
  `OntologyModel`
  `setCreationdate(String creationdate)`
  `OntologyModel`
  `setDescription(String description)`
  `OntologyModel`
  `setId(String id)`
  `OntologyModel`
  `setIdentifier(String identifier)`
  `OntologyModel`
  `setLastupdate(String lastupdate)`
  `OntologyModel`
  `setOrigin(OntologyOrigin origin)`
  `OntologyModel`
  `setSedaField(String sedaField)`
  `OntologyModel`
  `setShortName(String shortName)`
  `OntologyModel`
  `setStringSize(StringSize stringSize)`
  `OntologyModel`
  `setTenant(Integer tenant)`
  `OntologyModel`
  `setType(OntologyType type)`
  `OntologyModel`
  `setTypeDetail(TypeDetail typeDetail)`
  `OntologyModel`
  `setVersion(Integer version)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TAG_HASH_ID

    public static final String TAG_HASH_ID
    Document id
    See Also:
      - Constant Field Values

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    Identifier Tag
    See Also:
      - Constant Field Values

  - ### TAG_SEDAFIELD

    public static final String TAG_SEDAFIELD
    Seda field Tag
    See Also:
      - Constant Field Values

  - ### TAG_APIFIELD

    public static final String TAG_APIFIELD
    Seda field Tag
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    Description Tag
    See Also:
      - Constant Field Values

  - ### TAG_TYPE

    public static final String TAG_TYPE
    Type Tag
    See Also:
      - Constant Field Values

  - ### TAG_ORIGIN

    public static final String TAG_ORIGIN
    Origin Tag
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    CreationDate Tag
    See Also:
      - Constant Field Values

  - ### LAST_UPDATE

    public static final String LAST_UPDATE
    LastUpdate Tag
    See Also:
      - Constant Field Values

  - ### TAG_SHORT_NAME

    public static final String TAG_SHORT_NAME
    ShortName Tag
    See Also:
      - Constant Field Values

  - ### TAG_COLLECTIONS

    public static final String TAG_COLLECTIONS
    Collections Tag
    See Also:
      - Constant Field Values

  - ### TAG_TYPE_DETAIL

    public static final String TAG_TYPE_DETAIL
    TypeDetail Tag
    See Also:
      - Constant Field Values

  - ### TAG_STRING_SIZE

    public static final String TAG_STRING_SIZE
    StringSize Tag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OntologyModel

    public OntologyModel()
    Constructor without fields use for jackson

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public OntologyModel setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public OntologyModel setTenant(Integer tenant)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public OntologyModel setVersion(Integer version)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public OntologyModel setIdentifier(String identifier)

  - ### getSedaField

    public String getSedaField()

  - ### setSedaField

    public OntologyModel setSedaField(String sedaField)

  - ### getApiField

    public String getApiField()

  - ### setApiField

    public OntologyModel setApiField(String apiField)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public OntologyModel setDescription(String description)

  - ### getOrigin

    public OntologyOrigin getOrigin()

  - ### setOrigin

    public OntologyModel setOrigin(OntologyOrigin origin)

  - ### getType

    public OntologyType getType()

  - ### setType

    public OntologyModel setType(OntologyType type)

  - ### getCreationdate

    public String getCreationdate()

  - ### setCreationdate

    public OntologyModel setCreationdate(String creationdate)

  - ### getLastupdate

    public String getLastupdate()

  - ### setLastupdate

    public OntologyModel setLastupdate(String lastupdate)

  - ### getShortName

    public String getShortName()

  - ### setShortName

    public OntologyModel setShortName(String shortName)

  - ### getCollections

    public List<String> getCollections()

  - ### setCollections

    public OntologyModel setCollections(List<String> collections)

  - ### getTypeDetail

    public TypeDetail getTypeDetail()

  - ### setTypeDetail

    public OntologyModel setTypeDetail(TypeDetail typeDetail)

  - ### getStringSize

    public StringSize getStringSize()

  - ### setStringSize

    public OntologyModel setStringSize(StringSize stringSize)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`